Package docking.widgets.filter

# Class ContainsTextFilter

java.lang.Object
docking.widgets.filter.AbstractPatternTextFilter
docking.widgets.filter.MatchesPatternTextFilter
docking.widgets.filter.ContainsTextFilter

All Implemented Interfaces:
  `TextFilter`

public class ContainsTextFilter extends MatchesPatternTextFilter
A filter that will pass text when it contains the filter text.

- ## Field Summary

  ### Fields inherited from class docking.widgets.filter.MatchesPatternTextFilter

  `allowGlobbing, caseSensitive`

  ### Fields inherited from class docking.widgets.filter.AbstractPatternTextFilter

  `filterPattern, filterText`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContainsTextFilter(String filterText, boolean caseSensitive, boolean allowGlobbing)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Pattern`
  `createPattern()`
  Subclasses must create the `Pattern` that will be used by this class when filtering.
  `boolean`
  `isSubFilterOf(TextFilter parentFilter)`
  Returns true if this filter is a more specific filter of the given filter.

  ### Methods inherited from class docking.widgets.filter.MatchesPatternTextFilter

  `equals, hashCode, matches, parentIsGlobEscape`

  ### Methods inherited from class docking.widgets.filter.AbstractPatternTextFilter

  `getFilterText, matches, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContainsTextFilter

    public ContainsTextFilter(String filterText, boolean caseSensitive, boolean allowGlobbing)

- ## Method Details

  - ### createPattern

    protected Pattern createPattern()
    Description copied from class: `AbstractPatternTextFilter`
    Subclasses must create the `Pattern` that will be used by this class when filtering.
    Specified by:
      `createPattern` in class `AbstractPatternTextFilter`
    Returns:
      the pattern

  - ### isSubFilterOf

    public boolean isSubFilterOf(TextFilter parentFilter)
    Description copied from interface: `TextFilter`
    Returns true if this filter is a more specific filter of the given filter. This is specific to the implementation. Some filters cannot be sub-filters of another filter, such as the 'matches exactly' filter. Contrastingly, a 'starts with' filter can have a sub-filter; for example, for a 'starts with' filter, 'cat' is a sub-filter of 'ca', as 'cat' starts with 'ca'.
    Parameters:
      `parentFilter` - the potential parent filter
    Returns:
      true if this filter is a more specific filter of the given filter.